Upsert Anrok API token
curl --request POST \
--url https://api.metronome.com/v1/upsertAnrokApiToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delivery_method_ids": [
"9a906ebb-fbc7-42e8-8e29-53bfd2db3aca"
],
"anrok_api_token": "s123/sak456/secret.789"
}
'import requests
url = "https://api.metronome.com/v1/upsertAnrokApiToken"
payload = {
"delivery_method_ids": ["9a906ebb-fbc7-42e8-8e29-53bfd2db3aca"],
"anrok_api_token": "s123/sak456/secret.789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delivery_method_ids: ['9a906ebb-fbc7-42e8-8e29-53bfd2db3aca'],
anrok_api_token: 's123/sak456/secret.789'
})
};
fetch('https://api.metronome.com/v1/upsertAnrokApiToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}Settings
Upsert Anrok API token
Set the Anrok API token for some specified delivery_method_ids, which can be found in the /listConfiguredBillingProviders response. This maps the Anrok key to the appropriate billing entity. These API tokens are only used for Threshold Billing workflows today.
POST
/
v1
/
upsertAnrokApiToken
Upsert Anrok API token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Set the Anrok API token for some specified delivery_method_ids
Response
Success
Show child attributes
Show child attributes
⌘I